coreEngine.Calibration.Algorithms

## Class SimpleGA

- java.lang.Object
- - coreEngine.Calibration.Algorithm
  - - coreEngine.Calibration.Metaheuristic
    - - coreEngine.Calibration.GeneticAlgorithm
      - - coreEngine.Calibration.Algorithms.SimpleGA

-     public class SimpleGA
      extends GeneticAlgorithm

  Author:
    jltrask

- - ### Field Summary

    - ### Fields inherited from class coreEngine.Calibration.GeneticAlgorithm

      `algHelper, algSubtype, binStringLength, crossover, CROSSOVER_TYPE_BLOCK_UNIFORM, CROSSOVER_TYPE_ONEPOINT, CROSSOVER_TYPE_TWOPOINT, CROSSOVER_TYPE_UNIFORM, CrossoverTypeList, DEFAULT_CROSSOVER_TYPE, DEFAULT_ELITISIM_TYPE, DEFAULT_ELITISM_PERCENT, DEFAULT_MUTATION_NUMBER, DEFAULT_MUTATION_PERCENT, DEFAULT_MUTATION_TYPE, DEFAULT_POP_SIZE, DEFAULT_PRESERVE_PERCENT, DEFAULT_PRESERVE_TYPE, DEFAULT_SELECTION_TYPE, elitism, ELITISM_TYPE_NONE, ELITISM_TYPE_PERCENTAGE, ElitismTypeList, genSinceImprovement, lambda1, lambda2, MUTATION_PERCENT, MUTATION_TYPE_BOUNDARY, MUTATION_TYPE_GUASSIAN, MUTATION_TYPE_NONUNIFORM, MUTATION_TYPE_PG, MUTATION_TYPE_PU, MUTATION_TYPE_SG, MUTATION_TYPE_SMOOTH, MUTATION_TYPE_SU, MUTATION_TYPE_UNIFORM, MutationTypeList, mutator, nameIndex, objectiveType, popSize, population, PRESERVE_TYPE_NONE, PRESERVE_TYPE_PCT_RAND, preservePct, preserver, PreserveTypeList, searchSpace, SELECTION_TYPE_EP, SELECTION_TYPE_RANDOM, SELECTION_TYPE_ROULETTE, SELECTION_TYPE_TOURNAMENT, SelectionTypeList, selector, TYPE_SGA, w1, w2, w3`

    - ### Fields inherited from class coreEngine.Calibration.Metaheuristic

      `MODEL_TYPES, numBestSolutionsSaved, rng, type, TYPE_CAPACITY, TYPE_CAPACITY_FULL, TYPE_DEMAND_HYBRID, TYPE_DEMAND_HYBRID_CDP, TYPE_NDIST_DEMAND, TYPE_NDIST_DEMAND_CDP, TYPE_PROFILE_BASED, TYPE_PROFILE_BASED_CDP`

    - ### Fields inherited from class coreEngine.Calibration.Algorithm

      `DEFAULT_AF_RANGE, DEFAULT_AF_STEP, DEFAULT_CDP_MIN, DEFAULT_CDP_RANGE, DEFAULT_CDP_STEP, DEFAULT_JD_MIN, DEFAULT_JD_RANGE, DEFAULT_JD_STEP, DEFAULT_MAX_ITERATIONS, DEFUALT_AF_MIN, isAdaptive, isMemetic, MAX_ITER, name, numIter, numParallelSeeds, optimalTol, stats, useParallel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGA()`
    `SimpleGA(int popSize)`
    `SimpleGA(java.lang.String name, int popSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `solveInstance()` Runs the algorithm
    `void` | `solveInstance(PopupLog logger)` Runs the algorithm with a logger to display the progress

    - ### Methods inherited from class coreEngine.Calibration.GeneticAlgorithm

      `convertToBinString, getAF_MAX, getAF_MIN, getAF_RANGE, getAF_STEP, getBestOrganism, getBinString, getBinString, getBinStringLength, getCrossover, getElitism, getElitismNumberSelected, getGenSinceImprovement, getIterationCount, getMutator, getName, getNumBestSolutionsSaved, getPopulation, getPopulationSeed, getPreservationNumberSelected, getPreservePct, getPreserver, getRNG, getSelector, getSize, getSolnSeed, initialize, initialize, initialize, initialize, setAlgSubtype, setBGASearchSpace, setBinStringLength, setCrossoverStrategy, setCrossoverStrategy, setElitismStrategy, setElitismStrategy, setGenSinceImprovement, setMutationStrategy, setMutationStrategy, setNumBestSolutionsSaved, setPopulationSize, setPreservationStrategy, setPreservePct, setPreserveStrategy, setRNGSeed, setRNGSeed, setRVGASearchSpace, setSelectionStrategy, setSelectionStrategy`

    - ### Methods inherited from class coreEngine.Calibration.Metaheuristic

      `setType`

    - ### Methods inherited from class coreEngine.Calibration.Algorithm

      `getAF_MAX, getAF_MIN, getAF_RANGE, getAF_STEP, getCDP_MAX, getCDP_MIN, getCDP_RANGE, getCDP_STEP, getJD_MAX, getJD_MIN, getJD_RANGE, getJD_STEP, getMAX_ITER, getNumParallelSeeds, getOptimalTol, isAdaptive, isMemetic, isUseParallel, setAdaptive, setAF_MIN, setAF_RANGE, setAF_STEP, setCDP_MIN, setCDP_RANGE, setCDP_STEP, setJD_MIN, setJD_RANGE, setJD_STEP, setMAX_ITER, setMemetic, setName, setNumParallelSeeds, setOptimalTol, setUseParallel, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleGA

          public SimpleGA()

    - #### SimpleGA

          public SimpleGA(int popSize)

    - #### SimpleGA

          public SimpleGA(java.lang.String name,
                          int popSize)

  - ### Method Detail

    - #### solveInstance

          public void solveInstance()

      Description copied from class: `Algorithm`
      Runs the algorithm
      Specified by:
        `solveInstance` in class `Algorithm`

    - #### solveInstance

          public void solveInstance(PopupLog logger)

      Description copied from class: `Algorithm`
      Runs the algorithm with a logger to display the progress
      Specified by:
        `solveInstance` in class `Algorithm`